FinWise API
SupportChangelog

The balance object

Attributes

idstring
Unique identifier for the balance snapshot.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
accountIdstring
Account this snapshot belongs to.
accountHoldingIdnullable string
Holding this snapshot belongs to, when relevant.
datestring
When the snapshot applies.
amountobject
Balance at that date.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
typeenum
One of manual, synced, or calculated.
isManualnullable boolean
True when you recorded this snapshot.
dataImportIdnullable string
Import that created this snapshot, when relevant.
archivedAtnullable string
Set when the snapshot is archived.
GET/account-balances
curl https://api.finwiseapp.io/account-balances \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-balances', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
The balance object
[
{
"id": "b8cb6f04-2f2b-440a-a55f-6708ebb57130",
"createdAt": "2026-03-14T09:15:46.728Z",
"updatedAt": "2026-03-14T09:15:46.728Z",
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"date": "2026-03-14T09:15:46.724Z",
"amount": {
"amount": -3432,
"currencyCode": "USD"
},
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"type": "manual",
"isManual": true,
"archivedAt": null,
"dataImportId": null,
"accountHoldingId": null,
"originalAccountId": null
}
]